Description

History

#1 - 10/29/2012 11:00 AM - Eric Faulhaber

Examples:

when a CompareOps method is used directly in a control flow statement such as IF, rework the method name into one which returns a boolean

to avoid the need to wrap in CompareOps and then unwrap in calling code;

allow fields and wrappers (vars) to be compared directly from primitive Java types (e.g. int);  this can be done easily with character and String but

there is probably value in overloading the equals() and compareTo() methods... CompareOps and other changes may be needed too;

allow fields and wrappers (vars) to be assigned directly from primitive Java types (e.g. int).

These improvements may all require the BaseDataType class to have the knowledge of the logical class removed if the unknown value testing does

not need to be there anymore

#2 - 10/31/2012 03:47 PM - Greg Shah

- Target version set to Code Improvements

#3 - 11/16/2016 12:47 PM - Greg Shah

- Target version changed from Code Improvements to Converted Code Improvements - Deduplication
